From 4e6dc2d8b2dbf202b609e33a3f897e084a57ec6d Mon Sep 17 00:00:00 2001
From: jdh8d <jdh8d@git.zephyr-software.com>
Date: Wed, 12 Jul 2017 16:05:29 +0000
Subject: [PATCH]

---
 build-all.sh          | 9 +++++++--
 clean-all.sh          | 9 +++++++--
 svn.externals.uva_dev | 1 +
 3 files changed, 15 insertions(+), 4 deletions(-)

diff --git a/build-all.sh b/build-all.sh
index 4ec489fc9..3cf2f7cd1 100755
--- a/build-all.sh
+++ b/build-all.sh
@@ -104,8 +104,13 @@ fi
 cd $PEASOUP_UMBRELLA_DIR/zipr_large_only_plugin/
 scons -j 3|| exit
 
-cd $PEASOUP_UMBRELLA_DIR/zipr_relax_plugin/
-scons -j 3|| exit
+if [ -e zipr ] ; then
+	cd $PEASOUP_UMBRELLA_DIR/zipr_relax_plugin/
+	scons -j 3|| exit
+
+	cd $PEASOUP_UMBRELLA_DIR/zipr_trace_plugin/
+	scons -j 3|| exit
+fi
 
 cd $PEASOUP_UMBRELLA_DIR/zipr_push64_reloc_plugin
 scons -j 3|| exit
diff --git a/clean-all.sh b/clean-all.sh
index 5a45a6fe9..afa98f7b6 100755
--- a/clean-all.sh
+++ b/clean-all.sh
@@ -48,8 +48,13 @@ if [ -d "$PEASOUP_UMBRELLA_DIR/zipr_large_only_plugin/" ]; then
 	scons -c || exit
 fi
 
-cd $PEASOUP_UMBRELLA_DIR/zipr_relax_plugin/
-scons -c || exit
+if [ -f zipr ]; then
+	cd $PEASOUP_UMBRELLA_DIR/zipr_relax_plugin/
+	scons -c || exit
+
+	cd $PEASOUP_UMBRELLA_DIR/zipr_trace_plugin/
+	scons -c || exit
+fi
 
 cd $PEASOUP_UMBRELLA_DIR/zipr_push64_reloc_plugin
 scons -c || exit
diff --git a/svn.externals.uva_dev b/svn.externals.uva_dev
index d992adabb..8e2c3708f 100644
--- a/svn.externals.uva_dev
+++ b/svn.externals.uva_dev
@@ -15,6 +15,7 @@ zipr_scfi_plugin     		http://svn.zephyr-software.com/repos/zipr_scfi_plugin/tru
 zipr_unpin_plugin     		http://svn.zephyr-software.com/repos/zipr_unpin_plugin/trunk
 zipr_large_only_plugin     	http://svn.zephyr-software.com/repos/zipr_large_only_plugin/trunk
 zipr_relax_plugin     		http://svn.zephyr-software.com/repos/zipr_relax_plugin/trunk
+zipr_trace_plugin     		http://svn.zephyr-software.com/repos/zipr_trace_plugin/trunk
 zipr_push64_reloc_plugin     	http://svn.zephyr-software.com/repos/zipr_push64_reloc_plugin/trunk
 daffy            		http://svn.zephyr-software.com/repos/daffy/trunk/
 IdaProServer         		http://svn.zephyr-software.com/repos/IdaProServer/trunk/
-- 
GitLab